.content {
    padding: 32px;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

a, #submit_review, button, #fname {
    display: block;
    min-width: 44px;
    min-height: 44px;
}

body, html {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
}

body {
    font-family: 'Poppins', sans-serif;
    font-size: 12px;
    color: #424242;
}

p {
    text-overflow: ellipsis;
}


/*
  AppBar
*/
 
.app-bar {
  padding: 8px 16px;
  background-color: white;
  display: grid;
  grid-template-columns: auto 1fr auto;
  gap: 10px;
  position: sticky;
  top: 0;
  z-index: 99;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2);
}
 
.app-bar .app-bar__menu {
  display: flex;
  align-items: center;
}
 
.app-bar .app-bar__menu button {
  background-color: transparent;
  border: none;
  font-size: 18px;
  padding: 8px;
  cursor: pointer;
}
 
.app-bar .app-bar__brand {
  display: flex;
  align-items: center;
}
 
.app-bar .app-bar__brand h1 {
  color: #db0000;
  text-transform: uppercase;
  font-size: 22px;
  user-select: none;
}
 
.app-bar .app-bar__navigation {
  position: absolute;
  top: 50px;
  left: -180px;
  width: 150px;
  transition: all 0.3s;
  padding: 8px;
  background-color: white;
  overflow: hidden;
}
 
.app-bar .app-bar__navigation.open {
  left: 0;
}
 
.app-bar .app-bar__navigation ul li a {
  display: inline-block;
  text-decoration: none;
  color: black;
  padding: 8px;
  margin-bottom: 5px;
  width: 100%;
}


/*
 * Top level navigation
 */

 .nav {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

.nav__list {
    width: 100%;
    padding: 0;
    margin: 0;
}

.nav a {
    display: inline-block;
    padding: 1.3em;
    text-decoration: none;
    color: #616161;
}

.nav a:hover {
    text-decoration: underline;
    color: #000;
}


/*
 * Jumbotron
 */

 .hero {
    display: flex;
    align-items: center;
    min-height: 380px;
    width: 100%;
    text-align: center;
    background-image: url("../public/images/heros/hero-image_4-large.jpg");
    background-position: center;
    background-color: green;
}

.hero__inner {
    margin: 0 auto;
    max-width: 800px;
}

.hero__title {
    color: #fff;
    font-weight: 500;
    font-size: 36px;
}

.hero__tagline {
    color: #fff;
    margin-top: 16px;
    font-size: 18px;
    font-weight: 300;
}

/*
 * main
 */

.skip-link {
    position: absolute;
    top: -40px;
    left: 0;
    color: white;
    padding: 8px;
    z-index: 100;
}

.skip-link:focus {
    top: 0;
    background-color: #cfabae;
}

 main {
    width: 100%;
    margin: 0 auto;
}

.resto-item {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    width: 100%;
    border-radius: 5px;
    overflow: hidden;
}

.resto-item__thumbnail {
    width: 100%;
    height: auto;
}

.resto-item__content {
    padding: 16px;
}

.resto-item__city {
    text-align: center;
    font-size: 10px;
    text-transform: uppercase;
    color: rgb(22, 20, 20);
}

.resto-item__title {
    font-weight: 500;
    font-size: 16px;
    margin-top: 16px;
    transition: 0.3s opacity;
}

.resto-item__description {
    font-size: 12px;
    line-height: 1.5em;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 5; /* number of lines to show */
    -webkit-box-orient: vertical;
}

/*
 * latest
 */

.latest {
    width: 100%;
}

.latest__label {
    font-size: 32px;
    font-weight: lighter;
    text-align: center;
    margin: 10px auto;
}

.latest__label::after {
    content: '';
    margin-top: 16px;
    display: block;
    border-bottom: 1px solid #eeeeee;
}



/* 
 restaurant 
*/

 
.restaurant {
  margin: 0 auto;
  width: 100%;
  max-width: 800px;
  padding: 30px;
  display: grid;
  grid-template-columns: 1fr;
  gap: 18px 16px;
}
 
.restaurant .restaurant__poster {
  width: 100%;
  height: revert;
  max-width: 400px;
}
 
.restaurant .restaurant__info h4 {
  margin: 8px 0;
}
 
 


/*
 * footer
 */

footer {
  padding: 16px;
}
 
footer p {
 padding: 1.3em;
 text-align: center;
 color: #aaaaaa;
}
 
footer p a {
  color: #db0000;
  text-decoration: none;
}

/* 
 like 
*/
.like {
    font-size: 18px;
    position: fixed;
    bottom: 16px;
    right: 16px;
    background-color: #db0000;
    color: white;
    border: 0;
    border-radius: 50%;
    width: 55px;
    height: 55px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}


table {
  border-collapse: collapse;
  width: 100%;
}

th, td {
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {background-color: #f2f2f2;}

/* loader */
.loader {
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
    margin: 20px auto;
 }

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.hide-loader{
    display:none;
}

.style-offline{
  text-align: center;
}

/* review css */

.review-table-style {
  height:300px;
  overflow:auto;
}

input[type=text], select, textarea {
  width: 100%;
  padding: 12px;
  border: 1px solid #ccc;
  border-radius: 4px;
  resize: vertical;
}

label {
  padding: 12px 12px 12px 0;
  display: inline-block;
}

input[type=submit] {
  background-color: #04AA6D;
  color: white;
  padding: 12px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  float: right;
}

input[type=submit]:hover {
  background-color: #45a049;
}

.container-rev {
  border-radius: 5px;
  background-color: #f2f2f2;
  padding: 20px;
}

.col-25 {
  float: left;
  width: 25%;
  margin-top: 6px;
}

.col-75 {
  float: left;
  width: 75%;
  margin-top: 6px;
}

/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}

/*
  Main Content
*/
 
.content {
  margin: 0 auto;
  min-height: 100%;
}
 


